LockStats (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je

## Class LockStats

- java.lang.Object
- - com.sleepycat.je.LockStats

- All Implemented Interfaces:
    Serializable

  Deprecated.
  as of 4.0.10, replaced by `Environment.getStats(StatsConfig)`.

      public class LockStats
      extends Object
      implements Serializable

  Lock statistics for a database environment.

  Note that some of the lock statistics may be expensive to obtain because the lock table is unavailable to other operations while the statistics are gathered. These expensive statistics are only provided if `Environment.getLockStats` is called with a StatsConfig parameter that has been configured for "slow" stats.

  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNAcquiresNoWaiters()` Deprecated. Number of acquires of lock table latch with no contention.
    `int` | `getNAcquiresNoWaitSuccessful()` Deprecated. Number of successful no-wait acquires of the lock table latch.
    `int` | `getNAcquiresNoWaitUnSuccessful()` Deprecated. Number of unsuccessful no-wait acquires of the lock table latch.
    `int` | `getNAcquiresSelfOwned()` Deprecated. Number of acquires of lock table latch when it was already owned by the caller.
    `int` | `getNAcquiresWithContention()` Deprecated. Number of acquires of lock table latch when it was already owned by another thread.
    `int` | `getNOwners()` Deprecated. Total lock owners in lock table.
    `int` | `getNReadLocks()` Deprecated. Total read locks currently held.
    `int` | `getNReleases()` Deprecated. Number of releases of the lock table latch.
    `long` | `getNRequests()` Deprecated. Total number of lock requests to date.
    `int` | `getNTotalLocks()` Deprecated. Total locks currently in lock table.
    `int` | `getNWaiters()` Deprecated. Total transactions waiting for locks.
    `long` | `getNWaits()` Deprecated. Total number of lock waits to date.
    `int` | `getNWriteLocks()` Deprecated. Total write locks currently held.
    `String` | `toString()` Deprecated. For convenience, LockTable.toString will display all stats in an easily readable format.
    `String` | `toStringVerbose()` Deprecated. Like #toString, display all stats.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getNOwners

          public int getNOwners()

      Deprecated.
      Total lock owners in lock table. Only provided when `Environment.getLockStats` is called in "slow" mode.

    - #### getNReadLocks

          public int getNReadLocks()

      Deprecated.
      Total read locks currently held. Only provided when `Environment.getLockStats` is called in "slow" mode.

    - #### getNTotalLocks

          public int getNTotalLocks()

      Deprecated.
      Total locks currently in lock table. Only provided when `Environment.getLockStats` is called in "slow" mode.

    - #### getNWaiters

          public int getNWaiters()

      Deprecated.
      Total transactions waiting for locks. Only provided when `Environment.getLockStats` is called in "slow" mode.

    - #### getNWriteLocks

          public int getNWriteLocks()

      Deprecated.
      Total write locks currently held. Only provided when `Environment.getLockStats` is called in "slow" mode.

    - #### getNRequests

          public long getNRequests()

      Deprecated.
      Total number of lock requests to date.

    - #### getNWaits

          public long getNWaits()

      Deprecated.
      Total number of lock waits to date.

    - #### getNAcquiresNoWaiters

          public int getNAcquiresNoWaiters()

      Deprecated.
      Number of acquires of lock table latch with no contention.

    - #### getNAcquiresSelfOwned

          public int getNAcquiresSelfOwned()

      Deprecated.
      Number of acquires of lock table latch when it was already owned by the caller.

    - #### getNAcquiresWithContention

          public int getNAcquiresWithContention()

      Deprecated.
      Number of acquires of lock table latch when it was already owned by another thread.

    - #### getNAcquiresNoWaitSuccessful

          public int getNAcquiresNoWaitSuccessful()

      Deprecated.
      Number of successful no-wait acquires of the lock table latch.

    - #### getNAcquiresNoWaitUnSuccessful

          public int getNAcquiresNoWaitUnSuccessful()

      Deprecated.
      Number of unsuccessful no-wait acquires of the lock table latch.

    - #### getNReleases

          public int getNReleases()

      Deprecated.
      Number of releases of the lock table latch.

    - #### toString

          public String toString()

      Deprecated.
      For convenience, LockTable.toString will display all stats in an easily readable format.
      Overrides:
        `toString` in class `Object`

    - #### toStringVerbose

          public String toStringVerbose()

      Deprecated.
      Like #toString, display all stats. Includes a description of each stat.

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.